%{?mingw_package_header}

Name:           mingw-SDL_image
Version:        1.2.12
Release:        %mkrel 18
Summary:        MinGW Windows port of the Image loading library for SDL

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.libsdl.org/projects/SDL_image/
Source0:        https://www.libsdl.org/projects/SDL_image/release/SDL_image-%{version}.tar.gz
Patch0:         CVE-2017-2887.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-SDL
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg-turbo
BuildRequires:  mingw32-libtiff

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-SDL
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libjpeg-turbo
BuildRequires:  mingw64-libtiff


%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.


# Win32
%package -n mingw32-SDL_image
Summary:        MinGW Windows port of the Image loading library for SDL
Requires:       pkgconfig

%description -n mingw32-SDL_image
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.

# Win64
%package -n mingw64-SDL_image
Summary:        MinGW Windows port of the Image loading library for SDL
Requires:       pkgconfig

%description -n mingw64-SDL_image
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n SDL_image-%{version}


%build
# the --disabled-*-shared lines below stops SDL_image from loading those
# libraries at link time. Instead they are loaded when needed.
%mingw_configure \
    --disable-jpg-shared \
    --disable-png-shared \
    --disable-tif-shared \
    --disable-static

%mingw_make_build


%install
%mingw_make_install

# silence rpmlint:
iconv --from=ISO-8859-1 --to=UTF-8 CHANGES > CHANGES.new && \
touch -r CHANGES CHANGES.new && \
mv CHANGES.new CHANGES

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-SDL_image
%doc README CHANGES COPYING
%{mingw32_bindir}/SDL_image.dll
%{mingw32_libdir}/libSDL_image.dll.a
%{mingw32_libdir}/pkgconfig/SDL_image.pc
%{mingw32_includedir}/SDL

# Win64
%files -n mingw64-SDL_image
%doc README CHANGES COPYING
%{mingw64_bindir}/SDL_image.dll
%{mingw64_libdir}/libSDL_image.dll.a
%{mingw64_libdir}/pkgconfig/SDL_image.pc
%{mingw64_includedir}/SDL


%changelog
* Sun Oct 29 2023 daviddavid <daviddavid> 1.2.12-18.mga10
+ Revision: 2002736
- rebuild for new mingw-libtiff 4.6.0

* Fri Mar 25 2022 umeabot <umeabot> 1.2.12-17.mga9
+ Revision: 1826115
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.12-16.mga8
+ Revision: 1502060
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.12-15.mga7
+ Revision: 1279522
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 akien <akien> 1.2.12-14.mga7
+ Revision: 1209268
- Add openSUSE patch for CVE-2017-2887 (mga#22650)

* Thu Feb 04 2016 umeabot <umeabot> 1.2.12-13.mga6
+ Revision: 934426
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-12.mga5
+ Revision: 746500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-11.mga5
+ Revision: 682402
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.2.12-10.mga4
+ Revision: 483400
- imported package mingw-SDL_image


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-9
- Rebuild against libpng 1.6

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 25 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-7
- Rebuild against latest libtiff

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-5
- Added win64 support

* Fri Mar 09 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-4
- Dropped .la files

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 1.2.12-3
- Renamed the source package to mingw-SDL_image (#801025)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-2
- Rebuild against the mingw-w64 toolchain

* Tue Jan 31 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-1
- Update to 1.2.12
- Re-enabled png support

* Tue Jan 31 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.10-6
- Disabled png support for now as SDL_image isn't compatible with libpng 1.5 yet
- Dropped the dependency extraction overrides as that's done automatically as of RPM 4.9
- Dropped unneeded RPM tags

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.2.10-4
- Rebuilt against win-iconv

* Fri Jun 03 2011 Kalev Lember <kalev@smartlink.ee> - 1.2.10-3
- Rebuilt with mingw32-libjpeg-turbo, dropped jpeg_boolean patch (#604702)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 27 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.10-1
- Include la files
- Fix debuginfo package generation

* Sat Sep 25 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.10-0
- Update to new upstream release

* Wed Nov 25 2009 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.7-1
- Remove explicit Requires:
- Add patch for the mingw32-jpeg boolean issue
- Update to 1.2.7 to stay in sync with the native package
- Enable parallel make
- Autogenerate debuginfo subpackage
- Fix non-utf-8 file

* Thu Nov 11 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.6-2
- use macro global instead of define in this spec file
- added libtiff support
- updated description so it lists the correct supported image formats

* Thu Jun 18 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.6-1
- Initial RPM release.
